

#include "ft.h"

#define CFFTS_BARRIER(m)    barrier(m)


__kernel void init_ui(__global dcomplex *u0,
                      __global dcomplex *u1,
                      __global double *twiddle,
                      int n)
{
  int i = get_global_id(0);
  if (i >= n) return;

  u0[i] = dcmplx(0.0, 0.0);
  u1[i] = dcmplx(0.0, 0.0);
  twiddle[i] = 0.0;
}

